package com.knauf.ejb.stateless;

import javax.rmi.PortableRemoteObject;
import javax.naming.InitialContext;

/**Standalone-Application-Client fr Geometric Model.
 * @author  Wolfgang Knauf
 */
public class GeometricModelApplicationClient
{
  /**Konstruktor. Hier erfolgt der gesamte Anwendungslauf.
   * 
   */
  public GeometricModelApplicationClient()
  {
    try
    {
      //Wir holen uns die Bean und wurschteln damit.
      InitialContext initialContext = new InitialContext();
      Object homeref = initialContext.lookup("java:comp/env/ejb/GeometricModel");

      GeometricModelHome home = (GeometricModelHome) PortableRemoteObject.narrow(homeref, GeometricModelHome.class);

      GeometricModel geometricModel = home.create();

      double dblVolume = geometricModel.computeCuboidVolume(10, 5, 7);
      double dblSurface = geometricModel.computeCuboidSurface(10, 5, 7);

      System.out.println("Errechnetes Volumen: " + dblVolume + ", Oberflche: " + dblSurface);
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }

  /**
   * Main-Routine.
   * 
   * @param args
   */
  public static void main(String[] args)
  {
    //Im Konstruktor passiert die gesamte Logik:
    new GeometricModelApplicationClient();
  }

}