package com.knauf.ejb.stateless;
import com.knauf.ejb.stateless.InvalidParameterException;
/**
 * Remote interface for Enterprise Bean: GeometricModel
 */
public interface GeometricModel extends javax.ejb.EJBObject {
  ///////////////////////////////////////////////////////////////////
  //           Methoden aus Remote-Interface //
  ///////////////////////////////////////////////////////////////////

  /**
   * Berechen des Volumens eines Quaders.
   * 
   * @param a
   *          Lnge der Seite a, > 0
   * @param b
   *          Lnge der Seite b, > 0
   * @param c
   *          Lnge der Seite c, > 0
   * @return Das Volumen des Quaders = a * b * c
   * @exception InvalidParameterException
   *              Falls a oder b oder c <= 0 ist.
   */
  public double computeCuboidVolume(double a, double b, double c)
    throws InvalidParameterException,
    java.rmi.RemoteException;
  /**
   * Berechen der Oberflche eines Quaders.
   * 
   * @param a
   *          Lnge der Seite a, > 0
   * @param b
   *          Lnge der Seite b, > 0
   * @param c
   *          Lnge der Seite c, > 0
   * @return Die Oberflche des Quaders = 2 * (a * b) + 2 * (b*c) + 2 * (a * c)
   * @exception InvalidParameterException
   *              Falls a oder b oder c <= 0 ist.
   */
  public double computeCuboidSurface(double a, double b, double c)
    throws InvalidParameterException,
    java.rmi.RemoteException;
}
